- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Static Public Member Functions | List of all members
pdftron::PDF::OutputOptionsOCR Class Reference

`#include <Convert.h>`

## Public Types
enum | LanguageChoice { e_lang_auto = 0, e_lang_catalan, e_lang_danish, e_lang_german, e_lang_english, e_lang_spanish, e_lang_finnish, e_lang_french, e_lang_italian, e_lang_dutch, e_lang_norwegian, e_lang_portuguese, e_lang_polish, e_lang_romanian, e_lang_russian, e_lang_slovenian, e_lang_swedish, e_lang_turkish }
enum | PreferredOCREngine { e_engine_default = 0, e_engine_tesseract }

## Static Public Member Functions
static UString | LanguageChoiceToString (LanguageChoice language)
static UString | PreferredOCRChoiceToString (PreferredOCREngine engine)

## Detailed Description

A class containing OCR options common to the ToHtml, ToWord, ToExcel, ToPowerPoint functions

Definition at line 1633 of file Convert.h.

## Member Enumeration Documentation

enum pdftron::PDF::OutputOptionsOCR::LanguageChoice

Enumerator
e_lang_auto |
e_lang_catalan |
e_lang_danish |
e_lang_german |
e_lang_english |
e_lang_spanish |
e_lang_finnish |
e_lang_french |
e_lang_italian |
e_lang_dutch |
e_lang_norwegian |
e_lang_portuguese |
e_lang_polish |
e_lang_romanian |
e_lang_russian |
e_lang_slovenian |
e_lang_swedish |
e_lang_turkish |

Definition at line 1636 of file Convert.h.

enum pdftron::PDF::OutputOptionsOCR::PreferredOCREngine

Enumerator
e_engine_default |
e_engine_tesseract |

Definition at line 1658 of file Convert.h.

## Member Function Documentation

static UString pdftron::PDF::OutputOptionsOCR::LanguageChoiceToString | ( | LanguageChoice | language | ) |
| static

static UString pdftron::PDF::OutputOptionsOCR::PreferredOCRChoiceToString | ( | PreferredOCREngine | engine | ) |
| static

The documentation for this class was generated from the following file:

- PDF/Convert.h